Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - APIVersions

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

API Versions

API version management and AI spec generation.

Get API version

Get a single API version.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

name
required
string

Responses

Response Schema: application/json
aiGenerated
required
boolean

True if spec was AI-generated.

required
Array of objects (EnvironmentSummaryDTO)

Environments this version is currently deployed to.

displayName
required
string

Human-readable version name.

name
required
string

Version identifier (e.g. 'v1', '2.0.0').

description
string <= 1000 characters

Optional description of this API version.

status
string
Enum: "CONCEPT" "DESIGN" "DEVELOPMENT" "STAGING" "PRODUCTION" "DEPRECATED" "RETIRED"

Lifecycle: CONCEPT → DESIGN → DEVELOPMENT → STAGING → PRODUCTION → DEPRECATED → RETIRED.

apiId
string <uuid>

Parent API UUID.

object (AiGenerationStatusDetails)

Status details of AI generation, if applicable.

id
string <uuid>

Response samples

Content type
application/json
{
  • "name": "string",
  • "displayName": "string",
  • "description": "string",
  • "status": "CONCEPT",
  • "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
  • "aiGenerated": false,
  • "aiGenStatusDetails": {
    • "aiGenProcessId": "string",
    • "aiGenStatus": "IN_PROGRESS",
    • "aiGenStartedAt": "2019-08-24T14:15:22Z",
    • "aiGenEstimatedTime": 0,
    • "aiGenCompletedPercentage": 0,
    • "aiGenError": "string",
    • "aiGenRequestPayload": "string"
    },
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "deployedOn": [
    • {
      }
    ]
}

Update API version

Update an API version.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

name
required
string
Request Body schema: application/json
required
aiGenerated
required
boolean

True if spec was AI-generated.

required
Array of objects (EnvironmentSummaryDTO)

Environments this version is currently deployed to.

displayName
required
string

Human-readable version name.

name
required
string

Version identifier (e.g. 'v1', '2.0.0').

description
string <= 1000 characters

Optional description of this API version.

status
string
Enum: "CONCEPT" "DESIGN" "DEVELOPMENT" "STAGING" "PRODUCTION" "DEPRECATED" "RETIRED"

Lifecycle: CONCEPT → DESIGN → DEVELOPMENT → STAGING → PRODUCTION → DEPRECATED → RETIRED.

apiId
string <uuid>

Parent API UUID.

object (AiGenerationStatusDetails)

Status details of AI generation, if applicable.

id
string <uuid>

Responses

Response Schema: application/json
aiGenerated
required
boolean

True if spec was AI-generated.

required
Array of objects (EnvironmentSummaryDTO)

Environments this version is currently deployed to.

displayName
required
string

Human-readable version name.

name
required
string

Version identifier (e.g. 'v1', '2.0.0').

description
string <= 1000 characters

Optional description of this API version.

status
string
Enum: "CONCEPT" "DESIGN" "DEVELOPMENT" "STAGING" "PRODUCTION" "DEPRECATED" "RETIRED"

Lifecycle: CONCEPT → DESIGN → DEVELOPMENT → STAGING → PRODUCTION → DEPRECATED → RETIRED.

apiId
string <uuid>

Parent API UUID.

object (AiGenerationStatusDetails)

Status details of AI generation, if applicable.

id
string <uuid>

Request samples

Content type
application/json
{
  • "name": "string",
  • "displayName": "string",
  • "description": "string",
  • "status": "CONCEPT",
  • "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
  • "aiGenerated": false,
  • "aiGenStatusDetails": {
    • "aiGenProcessId": "string",
    • "aiGenStatus": "IN_PROGRESS",
    • "aiGenStartedAt": "2019-08-24T14:15:22Z",
    • "aiGenEstimatedTime": 0,
    • "aiGenCompletedPercentage": 0,
    • "aiGenError": "string",
    • "aiGenRequestPayload": "string"
    },
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "deployedOn": [
    • {
      }
    ]
}

Response samples

Content type
application/json
{
  • "name": "string",
  • "displayName": "string",
  • "description": "string",
  • "status": "CONCEPT",
  • "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
  • "aiGenerated": false,
  • "aiGenStatusDetails": {
    • "aiGenProcessId": "string",
    • "aiGenStatus": "IN_PROGRESS",
    • "aiGenStartedAt": "2019-08-24T14:15:22Z",
    • "aiGenEstimatedTime": 0,
    • "aiGenCompletedPercentage": 0,
    • "aiGenError": "string",
    • "aiGenRequestPayload": "string"
    },
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "deployedOn": [
    • {
      }
    ]
}

Delete API version

Delete an API version.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

name
required
string

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

List API versions

Get a list of all API versions for an API.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

query Parameters
name
string
page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
required
Array of objects (ApiVersionDTO)

List of ApiVersionDTO results for the current page.

last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "content": [
    • {
      }
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}

Create API version

Create a new API version.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: application/json
required
aiGenerated
required
boolean

True if spec was AI-generated.

required
Array of objects (EnvironmentSummaryDTO)

Environments this version is currently deployed to.

displayName
required
string

Human-readable version name.

name
required
string

Version identifier (e.g. 'v1', '2.0.0').

description
string <= 1000 characters

Optional description of this API version.

status
string
Enum: "CONCEPT" "DESIGN" "DEVELOPMENT" "STAGING" "PRODUCTION" "DEPRECATED" "RETIRED"

Lifecycle: CONCEPT → DESIGN → DEVELOPMENT → STAGING → PRODUCTION → DEPRECATED → RETIRED.

apiId
string <uuid>

Parent API UUID.

object (AiGenerationStatusDetails)

Status details of AI generation, if applicable.

id
string <uuid>

Responses

Response Schema: application/json
aiGenerated
required
boolean

True if spec was AI-generated.

required
Array of objects (EnvironmentSummaryDTO)

Environments this version is currently deployed to.

displayName
required
string

Human-readable version name.

name
required
string

Version identifier (e.g. 'v1', '2.0.0').

description
string <= 1000 characters

Optional description of this API version.

status
string
Enum: "CONCEPT" "DESIGN" "DEVELOPMENT" "STAGING" "PRODUCTION" "DEPRECATED" "RETIRED"

Lifecycle: CONCEPT → DESIGN → DEVELOPMENT → STAGING → PRODUCTION → DEPRECATED → RETIRED.

apiId
string <uuid>

Parent API UUID.

object (AiGenerationStatusDetails)

Status details of AI generation, if applicable.

id
string <uuid>

Request samples

Content type
application/json
{
  • "name": "string",
  • "displayName": "string",
  • "description": "string",
  • "status": "CONCEPT",
  • "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
  • "aiGenerated": false,
  • "aiGenStatusDetails": {
    • "aiGenProcessId": "string",
    • "aiGenStatus": "IN_PROGRESS",
    • "aiGenStartedAt": "2019-08-24T14:15:22Z",
    • "aiGenEstimatedTime": 0,
    • "aiGenCompletedPercentage": 0,
    • "aiGenError": "string",
    • "aiGenRequestPayload": "string"
    },
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "deployedOn": [
    • {
      }
    ]
}

Response samples

Content type
application/json
{
  • "name": "string",
  • "displayName": "string",
  • "description": "string",
  • "status": "CONCEPT",
  • "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
  • "aiGenerated": false,
  • "aiGenStatusDetails": {
    • "aiGenProcessId": "string",
    • "aiGenStatus": "IN_PROGRESS",
    • "aiGenStartedAt": "2019-08-24T14:15:22Z",
    • "aiGenEstimatedTime": 0,
    • "aiGenCompletedPercentage": 0,
    • "aiGenError": "string",
    • "aiGenRequestPayload": "string"
    },
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "deployedOn": [
    • {
      }
    ]
}

Generate OpenAPI Specification with AI

Request generation of open API Specification with AI

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

name
required
string
Request Body schema: application/json
required
required
Array of objects (OpenApiSpecAiQandA)

Answers to questions for generating Open API Specification with AI

Array
answer
required
string

User-provided answer to the question.

questionId
required
string

Identifier of the question being answered.

Responses

Response Schema: application/json
aiGenerated
required
boolean

True if spec was AI-generated.

required
Array of objects (EnvironmentSummaryDTO)

Environments this version is currently deployed to.

displayName
required
string

Human-readable version name.

name
required
string

Version identifier (e.g. 'v1', '2.0.0').

description
string <= 1000 characters

Optional description of this API version.

status
string
Enum: "CONCEPT" "DESIGN" "DEVELOPMENT" "STAGING" "PRODUCTION" "DEPRECATED" "RETIRED"

Lifecycle: CONCEPT → DESIGN → DEVELOPMENT → STAGING → PRODUCTION → DEPRECATED → RETIRED.

apiId
string <uuid>

Parent API UUID.

object (AiGenerationStatusDetails)

Status details of AI generation, if applicable.

id
string <uuid>

Request samples

Content type
application/json
{
  • "openApiSpecAiQandA": [
    • {
      }
    ]
}

Response samples

Content type
application/json
{
  • "name": "string",
  • "displayName": "string",
  • "description": "string",
  • "status": "CONCEPT",
  • "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
  • "aiGenerated": false,
  • "aiGenStatusDetails": {
    • "aiGenProcessId": "string",
    • "aiGenStatus": "IN_PROGRESS",
    • "aiGenStartedAt": "2019-08-24T14:15:22Z",
    • "aiGenEstimatedTime": 0,
    • "aiGenCompletedPercentage": 0,
    • "aiGenError": "string",
    • "aiGenRequestPayload": "string"
    },
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "deployedOn": [
    • {
      }
    ]
}